<?php
add_action( 'init', 'fastgallery_register_posttype' );

/* POST TYPE */
function fastgallery_register_posttype() {

	$labels = array(
		'name'               => esc_html__('Fast Gallery', 'fastgallery'),
		'singular_name'      => esc_html__('Fast Gallery Panel', 'fastgallery'),
		'add_new'            => esc_html__('Add New Gallery', 'fastgallery'),
		'add_new_item'       => esc_html__('Add New Gallery', 'fastgallery'),
		'edit_item'          => esc_html__('Edit Gallery', 'fastgallery'),
		'new_item'           => esc_html__('New Gallery', 'fastgallery'),
		'all_items'          => esc_html__('All Gallery', 'fastgallery'),
		'view_item'          => esc_html__('View Gallery', 'fastgallery'),
		'search_items'       => esc_html__('Search Gallery', 'fastgallery'),
		'not_found'          => esc_html__('No Gallery found', 'fastgallery'),
		'not_found_in_trash' => esc_html__('No Gallery found in Trash', 'fastgallery'),
		'parent_item_colon'  => '',
		'menu_name'          => esc_html__('Fast Gallery', 'fastgallery')
	  );
	
	  $args = array(
		'labels'             => $labels,
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => 'adtfg' ),
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,		
		'menu_icon'			 => plugins_url( 'fastgallery'.'/img/main_icon.png'),
		'supports'           => array('title', 'editor' )
	  );
	
	  register_post_type( 'adtfg', $args );

}

/* META BOX */
function fastgallery_meta_box() {

    $screens = array( 'adtfg' );

    foreach ( $screens as $screen ) {
        add_meta_box(
            'fastgallery_box',
            esc_html__( 'FastGallery Shortcode', 'fastgallery' ),
            'fastgallery_meta_box_callback',
            $screen,
			'side',
			'high'
        );
    }
}

add_action( 'add_meta_boxes', 'fastgallery_meta_box' );

function fastgallery_meta_box_callback( $post ) {

    wp_nonce_field( 'fastgallery_nonce', 'fastgallery_nonce' );

	$value = '[fg_gallery id="'.$post->ID.'"]';
	$copy_text = esc_html__( 'Shortcode Copied', 'fastgallery' );
	$return = '
	<script>
		function fastgallery_copyShortcodeFunction(){
		  var copyText = document.getElementById("fg-shortcode-input-'.$post->ID.'");
		  copyText.select();
		  document.execCommand("copy");
		  alert(\''.$copy_text.'\');
		}	
	</script>
	<div style="margin:10px 0;">
		<input id="fg-shortcode-input-'.$post->ID.'" type="text" value="'.esc_attr( $value ).'">
		<a class="preview button" onclick="fastgallery_copyShortcodeFunction()">Copy</a>
	</div>';

    echo $return;
}


// ADD SIZE

function fastgallery_add_image_sizes() {

add_image_size( 'fg-masonry', 500 );
add_image_size( 'fg-normal', 800 , 800 , true);
add_image_size( 'fg-fotorama', 1000 );

}

add_action( 'init', 'fastgallery_add_image_sizes' );

/* RGB */
function fastgallery_hex2rgb($hex) {

   $hex = str_replace("#", "", $hex);

	if(strlen($hex) == 3) {
		$r = hexdec(substr($hex,0,1).substr($hex,0,1));
		$g = hexdec(substr($hex,1,1).substr($hex,1,1));
		$b = hexdec(substr($hex,2,1).substr($hex,2,1));
	} else {
		$r = hexdec(substr($hex,0,2));
		$g = hexdec(substr($hex,2,2));
		$b = hexdec(substr($hex,4,2));
	}
	$rgb = array($r, $g, $b);
	return $rgb;
}